# @(#)   desc/fast/co.com   7.0  08/15/96
#
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


# these are the right file descriptions for
# vco01.idl, vco02.idl, vco03.idl as of vmake version 9.2.5
#

vco01.idl   dep=vco03.idl unpack=yes noobjcopy obj=vco01.idl.o \
            -header=$INSTROOT/incl/ilivecachesink.h extdep=$INSTROOT/incl/ilivecachesink.h

vco02.idl   unpack=no noobjcopy obj=vco02_i,vco02_p,vco02_dlldata \
            -header=$INSTROOT/incl/ilivecachedbg.h extdep=$INSTROOT/incl/ilivecachedbg.h

vco02-idl.idl    binary

vco03.idl   unpack=yes concom=yes obj=vco03.idl.o \
            -header=$INSTROOT/incl/livecachetypes.h \
            -copy=$INSTROOT/incl/livecachetypes.idl extdep=$INSTROOT/incl/livecachetypes.h,$INSTROOT/incl/livecachetypes.idl

vco03-c.idl unpack=yes concom=yes obj=vco03-c.idl.o -nomidl NO_MIDL \
            -copy=$INSTROOT/incl/livecachetypes.h extdep=$INSTROOT/incl/livecachetypes.h

gco05.h     unpack=no concom=yes ->$INSTROOT/incl/livecachesql.h 
#vco005x     unpack=no concom=yes dep=vco01.idl >$INSTROOT/incl/ilivecachesql.h extdep=$INSTROOT/incl/ilivecachesink.h

vco20.idl   dep=vco01.idl unpack=no noobjcopy obj=vco20.idl.o \
            -header=$WRK/incl/hco20idl.h extdep=$WRK/incl/hco20idl.h,vco20_i.c,vco20.tlb \
            -keep_tlb -keep_h -keep_c

vco65.idl   unpack=no noobjcopy obj=vco65_i \
           -header=$WRK/incl/vco65.h extdep=$WRK/incl/vco65.h demand=vco02-idl.idl
vco70.idl   dep=gco70.h unpack=no noobjcopy obj=vco70_i \
           -header=$WRK/incl/vco70t.h extdep=$WRK/incl/vco70t.h

gco00.h     concom=yes ->$INSTROOT/incl/lcbasetypes.h
#vco005x     ->$INSTROOT/incl/livecachesql.h
hco00.h     concom=yes dep=vco03.idl ->$INSTROOT/incl/livecache.h
gco001.h    inc=ggg92.h,gco00.h,hco30-k.h
gco02.h     inc=gsp00,ggg92.h
gco04.h     ->$INSTROOT/incl/livecachedbproc.h
hco14.h     ->$INSTROOT/incl/livecachecurrency.h
gco54.h     dep=gco05.h ->$INSTROOT/incl/sqlcppclass.h 

hco10.h     inc=gco001.h,gco02.h,hco18.h
gco102.h    inc=gsp00,hco31-k.h
hco12.h     inc=ggg92.h,heo381.h,hco13.h,hco16.h,ggg250.h,ggg251.h,gco001.h
hco13.h     inc=ggg00,ggg92.h,gco001.h,hco18.h,gco102.h,ggg250.h
gco10.h     concom=yes inc=gco001.h,hco30-k.h,hco16.h,hco15.h,gco14.h,hco13.h,hco12.h,hco10.h,gco90.h,ggg00,ggg92.h,gco02.h,hco18.h
hco16.h     concom=yes inc=ggg00,gco00.h,hco10.h,gco01.h,gco001.h
hco17.h     concom=yes inc=ggg250.h,ggg251.h,hco12.h,hco16.h
hco18.h     concom=yes inc=ggg00,gco01.h,gco001.h,gco102.h
hco19.h     concom=yes inc=ggg00,ggg250.h,hco16.h

&if $OSSPEC in [ WIN32 ]
gco14.h     concom=yes dep=vco03.idl
&else
gco14.h     concom=yes
&endif

hco20.h     
vco20.rgs   binary
vco20rc.rc  dep=vco20.idl demand=vco20.rgs
hco30.h     concom=yes ->$INSTROOT/incl/livecachebase.h 
hco30-k.h   -D KERNEL concom=yes inc=ggg92.h,gco00.h,gco01.h,hco31-k.h
hco31.h     concom=yes ->$INSTROOT/incl/livecachedbperror.h 
hco31-k.h   -D KERNEL concom=yes inc=ggg92.h,gco00.h,gco01.h  
gco01_1.h
gco01.h     inc=geo00.h,gco01_1.h
gco50.h     concom=yes inc=gco01.h,hco30-k.h
hco61.h     inc=hco60res.h,gsp00,hos38.h,geo39.h
gco66.h     inc=gco67.h
gco72.h     inc=gco71.h
hco70.h     inc=gco70.h
gco90.h     inc=ggg00
hco91.h     inc=ggg00

vco60.rgs   binary
vco61.rgs   binary
vco60r.rc   demand=vco60.rgs,vco61.rgs
vco65.rgs   binary
vco66.rgs   binary
vco65r.rc   demand=vco65.rgs,vco66.rgs
vco70m.bmp  binary
vco70l.bmp  binary
vco70r.rc   demand=vco70m.bmp,vco70l.bmp

&if $OSSPEC in [ WIN32 ]
vco102.cpp inc=gco102.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco10.cpp dep=vco01.idl inc=geo00.h,ggg00,ggg200.h,gco00.h,gco10.h,hco17.h,hco18.h,hco19.h,hsp20.h,heo381.h,heo381-s.h,heo761.h,gco102.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco11.cpp inc=gco01.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco12.cpp inc=gsp00,gco00.h,gco10.h,hco10.h,hco12.h,gco102.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco13.cpp dep=vco01.idl inc=geo00.h,gco00.h,gco10.h,hco13.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco14.cpp dep=vco01.idl inc=geo00.h,gco00.h,gco14.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco15.cpp inc=geo00.h,gco00.h,gco001.h,hco15.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco16.cpp inc=hco16.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco18.cpp inc=hco18.h,geo00.h,gco00.h,gco10.h,hco16.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco19.cpp inc=hco19.h,gco90.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco30.cpp inc=hco30-k.h,heo02x.h,hsp77.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco31.cpp inc=hco31-k.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco50.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco51.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,hsp26.h,vsp004,gco52.h,gco51.h,gco50.h,gco53.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco52.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,hsp40.h,hsp41.h,gco52.h,gco51.h,gco50.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco53.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco90.cpp dep=hco30.h,vco01.idl,vco03.idl inc=gsp00,vsp001,vsp004,ggg00,gco00.h,gco01.h,gco10.h,gco52.h,gco51.h,gco50.h,gco90.h,hco91.h,heo78.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco91.cpp dep=gco00.h,vco01.idl inc=geo00.h,gco00.h,gco10.h,hco91.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
&else
vco10.cpp dep=vco01.idl inc=geo00.h,ggg00,ggg200.h,gco00.h,gco10.h,hco17.h,hco18.h,hco19.h,hsp20.h,heo381.h,heo381-s.h,heo761.h,gco102.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco102.cpp inc=gco102.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco12.cpp inc=gsp00,gco00.h,gco10.h,hco10.h,hco12.h,gco102.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco13.cpp dep=vco01.idl inc=geo00.h,gco00.h,gco10.h,hco13.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco14.cpp dep=vco01.idl inc=geo00.h,gco00.h,gco14.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco15.cpp inc=geo00.h,gco00.h,gco001.h,hco15.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco16.cpp inc=hco16.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco18.cpp inc=hco18.h,geo00.h,gco00.h,gco10.h,hco16.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco19.cpp inc=hco19.h,gco90.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco30.cpp inc=hco30-k.h,heo02x.h,hsp77.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco31.cpp inc=hco31-k.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco50.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco51.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,hsp26.h,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco52.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,hsp40.h,hsp41.h,gco52.h,gco51.h,gco50.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco53.cpp dep=gco00.h,vco01.idl inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco90.cpp dep=hco30.h,gco00.h,vco01.idl,vco03.idl inc=gco10.h,gco00.h,gsp00,ggg00,vsp001,vsp004,gco01.h,hco91.h,heo78.h,gco90.h,gco52.h,gco51.h,gco50.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
vco91.cpp dep=gco00.h,vco01.idl inc=geo00.h,gco00.h,gco10.h,hco91.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -c
&endif
gco53.h     inc=gsp01.h
hco54.h     inc=gco50.h
&if $OSSPEC in [ WIN32 ]
# PTS 1109283 hsp40.h, hsp41.h  entfernt
vco50-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -DEXT_CLIENT_SQL -GX 
vco51-m.cpp inc=gco00.h,gsp00,hsp26.h,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -DEXT_CLIENT_SQL -GX 
vco52-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,hsp40.h,hsp41.h,gco52.h,gco51.h,gco50.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q]  -DEXT_CLIENT_SQL -GX 
vco53-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q]  -DEXT_CLIENT_SQL -GX 
vco54-m.cpp   inc=heo02.h,heo03.h,hsp02.h,gco00.h,gco50.h,gco52.h,gco51.h,gco53.h,hco54.h  -DEXT_CLIENT_SQL -GX 
vco59-m.cpp   inc=  -DAFX_EXT_CLASS= -DEXT_CLIENT_SQL -GX
&else
vco50-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -DEXT_CLIENT_SQL 
vco51-m.cpp inc=gco00.h,gsp00,hsp26.h,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -DEXT_CLIENT_SQL
vco52-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,hsp40.h,hsp41.h,gco52.h,gco51.h,gco50.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q]  -DEXT_CLIENT_SQL 
vco53-m.cpp inc=gco00.h,gsp00,vsp001,vsp004,gco52.h,gco51.h,gco50.h,gco53.h [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q]  -DEXT_CLIENT_SQL 
vco54-m.cpp   inc=heo02.h,heo03.h,hsp02.h,gco00.h,gco50.h,gco52.h,gco51.h,gco53.h,hco54.h  -DEXT_CLIENT_SQL
vco59-m.cpp   inc=  -DAFX_EXT_CLASS= -DEXT_CLIENT_SQL
&endif

&fast
&if $OSSPEC in [ WIN32 ]
vco20.cpp dep=vco20.idl,vco03.idl,hco00.h,hco30.h,gco04.h,gco05.h inc=heo02x.h,hco20.h -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco21.cpp dep=gco00.h,gco04.h inc=hco21.h -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco22.cpp dep=vco20.idl,vco01.idl,gco00.h,gco04.h,hco00.h,hco30.h,gco05.h -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
&else
vco20.cpp dep=vco20.idl,hco00.h,hco30.h,gco04.h,gco05.h inc=heo02x.h,hco20.h -c
&if $MACH in [ PA11 , PA20W ]
vco20.cpp		-CFLAGS=+Onoinline
&endif
vco21.cpp dep=gco00.h,gco04.h inc=hco21.h -c
vco22.cpp dep=vco01.idl,gco00.h,gco04.h,hco00.h,hco30.h,gco05.h -c
&endif
&endfast
&quick
&if $OSSPEC in [ WIN32 ]
vco20.cpp dep=vco20.idl,hco00.h,hco30.h,gco04.h,gco05.h inc=heo02x.h,hco20.h,hco31.h -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco21.cpp dep=gco04.h inc=hco21.h -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
vco22.cpp dep=vco01.idl,gco00.h,gco04.h,hco00.h,hco30.h,gco05.h inc= -MD -GX -DWIN32 -DNDEBUG -D_WINDOWS -D_WINDLL -D_AFXDLL -D_AFXEXT  -c
&else
vco20.cpp dep=vco20.idl,hco00.h,hco30.h,gco04.h,gco05.h inc=heo02x.h,hco20.h,hco31.h -c
vco21.cpp dep=gco04.h inc=hco21.h -c
vco22.cpp dep=vco01.idl,gco00.h,gco04.h,hco00.h,hco30.h,gco05.h inc=  -c
&endif
&endquick
vco60.cpp inc=geo36.h,hco60.h,hco60res.h,hco61.h,hco62.h -MT -DWIN32 -D_DEBUG -D_WINDOWS -DWIN32 -Y -uc -ansi
vco61.cpp inc=hco60.h,hco61.h,hco62.h -MT -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -DWIN32 -Y -uc -ansi
vco62.cpp inc=hco62.h -MT -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -DWIN32 -Y -uc -ansi
vco63.cpp inc=hco60.h,vsp001,heo36.h,heo38.h,hco61.h,hco62.h,hco63.h -MT -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -DWIN32 -Y -uc -ansi
vco65.cpp inc=gco66.h,gco67.h,gco68.h -MT -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -DWIN32 -Y -uc -ansi
vco66.cpp inc=geo39.h,gco66.h,gco68.h -MT -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -DWIN32 -Y -uc -ansi
vco69.cpp inc=gco00.h,heo02x.h,heo01.h,heo46.h
vco70.cpp inc=gco74.h,hco70.h,gco72.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco71.cpp inc=gco74.h,hco70.h,gco73.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco72.cpp inc=gco74.h,hco70.h,gco72.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco73.cpp inc=gco74.h,hco70.h,gco73.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
#
gco50SqlHandle.h             inc=hco30-k.h,gco502SqlOpt.h
gco501SQL.h                  inc=
gco51CSqlSessionContext.h    inc=ggg00,vsp001,ggg251.h,gco00.h,gco502SqlOpt.h,heo381.h,gco519CErrorHandling.h
gco52SqlCol.h                inc=vsp001,gco00.h
gco521CSqlStmt.h             inc=hco30-k.h,gin02.h
gco511SqlSession.h           inc=gco50SqlHandle.h
gco512CParseSQLReply.h       inc=hin204.h
gco519CErrorHandling.h       inc=
gco522CColumnDesc.h          inc=
#
vco50SqlHandle.cpp           -except inc=gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h
vco501SQL.cpp                -except inc=gco00.h,geo00.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h,gco521CSqlStmt.h,gco52SqlCol.h
vco509Utils.cpp                
vco51CSqlSessionContext.cpp  -except inc=gco00.h,gsp01.h,heo02.h,heo03.h,hsp02.h,hin204.h,hin205.h,gco10.h,gco50SqlHandle.h,gco501SQL.h,gco512CParseSQLReply.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h -D_AFXDLL
vco512CParseSQLReply.cpp     -except inc=gco51CSqlSessionContext.h,gco512CParseSQLReply.h,gco521CSqlStmt.h
vco519CErrorHandling.cpp     -except inc=gco51CSqlSessionContext.h,gco519CErrorHandling.h
vco52SqlCol.cpp              -except inc=gco52SqlCol.h,gco522CColumnDesc.h
vco521CSqlStmt.cpp           -except inc=gco00.h,hin201.h,heo381.h,gco501SQL.h,gco52SqlCol.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h,gco522CColumnDesc.h
vco522CColumnDesc.cpp        -except dep=vco03.idl inc=hin201.h,hsp40.h,hsp41.h,gco521CSqlStmt.h,gco522CColumnDesc.h,gco52SqlCol.h,gco51CSqlSessionContext.h

vco50SqlHandle-m.cpp         -except -DEXT_CLIENT_SQL inc=gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h
vco501SQL-m.cpp              -except -DEXT_CLIENT_SQL inc=geo00.h,gco00.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h,gco521CSqlStmt.h,gco52SqlCol.h
vco509Utils-m.cpp            -DEXT_CLIENT_SQL dep=vco03.idl inc=gco00.h,hco31.h
vco51CSqlSessionContext-m.cpp -except -DEXT_CLIENT_SQL inc=gsp01.h,heo02.h,heo03.h,hsp02.h,hin204.h,hin205.h,gco00.h,gco10.h,gco50SqlHandle.h,gco501SQL.h,gco512CParseSQLReply.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h -D_AFXDLL
vco511SqlSession-m.cpp       -except -DEXT_CLIENT_SQL inc=heo02.h,heo03.h,hsp02.h,gco00.h,gco51CSqlSessionContext.h,gco511SqlSession.h,gco501SQL.h
vco512CParseSQLReply-m.cpp   -except inc=gco51CSqlSessionContext.h,gco512CParseSQLReply.h,gco521CSqlStmt.h
vco521CSqlStmt-m.cpp         -except -DEXT_CLIENT_SQL inc=gco00.h,hin201.h,heo381.h,gco501SQL.h,gco52SqlCol.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h,gco522CColumnDesc.h
#
# PTS 1108376
hco81CGenInspecCode.h       inc=gsp00,gco00.h,ggg250.h,ggg251.h,hco82Idl2Code.h
# PTS 1109283 next line added
hco80CGenHFile.h            inc=gsp00
vco80CGenHFile.cpp          inc=hco80CGenHFile.h,hco82Idl2Code.h 
vco81CGenInspecCode.cpp     inc=hco81CGenInspecCode.h,hco83ErrorHandling.h,vsp001,geo36.h 
vco82Idl2Code.cpp           inc=:idl/expat/xmlparse.h,hco83ErrorHandling.h,hco82Idl2Code.h,hco80CGenHFile.h,hco81CGenInspecCode.h -DXML_BYTE_ORDER=21
vco83ErrorHandling.cpp      inc=hco83ErrorHandling.h 
