# @(#)   desc/slow/ls.com   7.1.0.0   03/12/97
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


# die beiden folgenden zeilen bedeuten: es gilt fuer alle!!!
* trace=none shadow=yes unpack=no inc=gls00.h

gls00.h             inc=heo02.h,heo03.h,heo06.h,vsp007,vin00,geo47.h

hls01.h             inc=-gls00.h
vls01.cpp           inc=+hls01.h,hls03.h,hls11.h,hls99.h,hls98msg.h,gsp09.h

vls03.cpp           inc=+hls03.h,hls04.h,hls99.h,hls98msg.h,hsp100.h

vls04.cpp           inc=+hls04.h,hls99.h,hls98msg.h

vls041.cpp          inc=+hls041.h,hls04.h,hls07.h,hls99.h,hls98msg.h

vls05.cpp           inc=+hls05.h,hls99.h

vls07.cpp           inc=+hls07.h,hls98msg.h

hls08_long.h        inc=-gls00.h
vls08_long.cpp      inc=+hls04.h,hls08_long.h,hls99.h,hls98msg.h

vls10.cpp           inc=+hls03.h,hls10.h,hls13.h,hls15.h,hls20.h,hls21.h,hls26.h,hls27_dataextract.h,hls98msg.h,hls99.h

vls11.cpp           inc=+hls05.h,hls10.h,hls11.h,hls14_scan.h,hls14_parse.h,hls15.h,hls98msg.h,hls99.h

vls12.cpp           inc=+hls03.h,hls04.h,hls041.h,hls07.h,hls12.h,hls13.h,hls98msg.h,geo47.h

vls13.cpp           inc=+hls03.h,hls04.h,hls13.h,hls99.h,hls98msg.h,geo47.h

# Parser/Scanner:
# Ausgehend von der grammatikdatei wird das parserobjekt erstellt.
# Dazu ist die skelettdatei noetig -> daher das 'demand=<filename>.skl'.
# Beim Scanner ist zusaetzlich zu beachten, dass vor dem aufruf von flex.exe mit den entsprechenden
# scannerdateien der parser fertig sein muss. Es gilt also die erstellungsreihenfolge parser->scanner.
# Daher in der scanner-beschreibung 'dep=<filename>.y'.
#
# Die erstellung der objekte und die gesamte aufrufreihenfolge der tools fuer den parser und den
# scanner ist in der datei comprc.pl in den developmenttools gekapselt!

FlexLexer.h         ->$WRK/incl inc=-gls00.h

hls14_global.h      inc=-gls00.h

vls14_parse.skl     binary
vls14_scan.skl      binary

hls14_FlexDefs.h    inc=-gls00.h
hls14_scan.h        inc=+hls14_global.h,hls14_FlexDefs.h,hls17_BufPars.h

vls14_parse.y       inc=+hls14_global.h,hls14_parse.h,hls14_scan.h,hls01.h,hls03.h,hls05.h,hls07.h,hls15.h,hls19_check.h,hls99.h,hsp100.h demand=vls14_parse.skl
vls14_scan.l        inc=+hls14_global.h,hls14_scan.h,hls98msg.h,hls99.h,FlexLexer.h,hls17_BufPars.h demand=vls14_scan.skl dep=vls14_parse.y

vls15.cpp           inc=+hls98msg.h,hls03.h,hls04.h,hls05.h,hls07.h,hls13.h,hls15.h,hls99.h

vls16_condition.cpp inc=+hls16_condition.h,hls07.h,hls18.h,hls25.h,hls98msg.h,hls99.h

hls17_BufPars.h     inc=-gls00.h
vls17_BufPars.cpp   inc=hls17_BufPars.h,hls14_FlexDefs.h

vls18.cpp           inc=+hls05.h,hls18.h,hls19_check.h,hls98msg.h,hls99.h

vls19_check.cpp     inc=+hls19_check.h,hls05.h,hls07.h,hls16_condition.h,hls98msg.h,hls99.h

vls20.cpp           inc=+hls03.h,hls04.h,hls041.h,hls07.h,hls13.h,hls15.h,hls16_condition.h,hls18.h,hls20.h,hls24.h,hls25.h,hls30.h,hls99.h,hls98msg.h

vls21.cpp           inc=+hls03.h,hls04.h,hls07.h,hls13.h,hls15.h,hls16_condition.h,hls18.h,hls21.h,hls22.h,hls99.h,hls98msg.h,hsp30.h,ggg00,gbd00

vls22.cpp           inc=+hls03.h,hls04.h,hls16_condition.h,hls18.h,hls22.h,hls23.h,hls30.h,hls98msg.h,hls99.h,ggg00,gbd00

vls23.cpp           inc=+hls05.h,hls07.h,hls18.h,hls23.h,hls24.h,hls25.h,hls30.h,hls98msg.h,hls99.h,hsp30.h,hls98msg.h

vls24.cpp           inc=+hls05.h,hls07.h,hls16_condition.h,hls24.h,hls99.h,hsp30.h,hls98msg.h

vls25.cpp           inc=+hls05.h,hls07.h,hls25.h,hls98msg.h

vls26.cpp           inc=+hls03.h,hls04.h,hls05.h,hls13.h,hls26.h,hls30.h,hls98msg.h,hls99.h,hls26_TETable.h

vls26_TETable.cpp   inc=+hls26_TETable.h,hls03.h,hls04.h,hls05.h,hls07.h,hls13.h,hls30.h,hls98msg.h,hls99.h,hsp100.h,gbd00

vls27_dataextract.cpp   inc=+hls041.h,hls27_dataextract.h,hls27_DEExec.h,hls07.h,hls12.h,hls18.h,hls19_check.h,hls98msg.h,hls99.h

vls27_DEExec.cpp    inc=+hls03.h,hls04.h,hls05.h,hls07.h,hls08_long.h,hls12.h,hls18.h,hls24.h,hls25.h,hls27_DEExec.h,hls30.h,hls98msg.h,hls99.h

vls30.cpp           inc=+hls07.h,hls30.h,hls99.h,hls98msg.h

vls91.cpp           inc=gsp00,gsp09.h,veo00c,hls15.h

vls98msg.cpp        inc=+hls01.h,hls98msg.h,hsp100.h,heo01.h,gsp09.h

vls99.cpp           inc=+hls99.h,heo01.h

hls40cli.h          inc=-gls00.h
vls40bload.cpp      inc=gsp00,vsp001,gsp09.h,hls40cli.h,hsp100.h,hcn14.h,heo01.h,heo02.h,heo03.h,geo47.h,gsp01.h

&if $OS in [ WIN32 ]
hls92
vls92-a.c   inc=hsp100.h,hcn14.h -I$ACTIVEPERL_INCLUDE -DWIN32 -DMSWIN32 -DPERL_OBJECT -TP
vls92-c.c   inc=hsp100.h,hcn14.h -I$COREPERL_INCLUDE -DWIN32 -DMSWIN32 -DWIN32IO_IS_STDIO
vls92-a.cpp inc=hcn14.h -I$ACTIVEPERL_INCLUDE -DWIN32 -DMSWIN32 -DPERL_OBJECT
vls92-c.cpp inc=hcn14.h -I$COREPERL_INCLUDE -DWIN32 -DMSWIN32 -DWIN32IO_IS_STDIO
&else
vls92-c.c   inc=hsp100.h,hcn14.h -I$COREPERL_INCLUDE
vls92-c.cpp inc=hcn14.h -I$COREPERL_INCLUDE
&endif

vls93.c   inc=hsp100.h,hcn14.h -I$PYTHON_INCLUDE -I$PYTHON
vls93.cpp inc=hsp100.h,hcn14.h -I$PYTHON_INCLUDE


#nur fuer die SUN
&if $MACH = SUN
vls14_parse.y  -OPT=-xO2
vls14_scan.l   -OPT=-xO2
&endif