/*!================================================================
  module:    gpr01l.h

  responsible:  BurkhardD
 
  special area:   Header for Oldstyle PASCAL and C Modules (vpr01l)
 
  description: 
 
  see:  
 
 -------------------------------------------------------------------

                         Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

 ===================================================================*/

#ifndef __GPR01L_H__
#define __GPR01L_H__

/*==================================================================*
 *  INCLUDES                                                        *
 *==================================================================*/

#include "gpr00.h"
/*==================================================================*
 *  DECLARATIONS                                                    *
 *==================================================================*/

/*==================================================================*
 *  FUNCTION PROTOTYPES                                             *
 *==================================================================*/
#ifdef __cplusplus
extern "C" {
#endif
void p01dlvcinit (sqlcatype * sqlca, sqlxatype *sqlxa);
void p01lvcinitrec (tpr_longvarcharrec *lvcrec);
void p01lilvconerecord(sqlcatype *sqlca, sqlxatype *sqlxa, sqlgaentry *ga, sqlparsid parsid, tsp1_part_ptr *data_ptr, tsp1_part_ptr *cnt_ptr);
void p01dlvcinit (sqlcatype *sqlca, sqlxatype *sqlxa);
void p01lvaltraceinit(sqlcatype *sqlca, sqlxatype *sqlxa, int, tsp_lname VAR_ARRAY_REF vnam, int);
void p01lgodbcdata (sqlcatype *sqlca, sqlxatype *sqlxa, sqlgaentry *ga, tpr_longvarcharrec *lvcrec, tsp00_Int2 *);
#ifdef __cplusplus
}
#endif
#endif
