/* @lastChanged: "1998-01-27 15:30"
 *
 * @filename:   vsp77.h
 * @purpose:    "sprintf functions interface"
 * @release:    7.1.0.0
 * @see:        "http://www.disney.com/"
 *
 * @copyright:  "Copyright by   SAP AG, 1997"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

 */


#ifndef HSP77_H
#define HSP77_H

#include <stdarg.h>

#include "geo00.h"

externC int sp77vsprintf (
    char *buf,
    int buflen,
    const char *format,
    va_list args);

externC int sp77sprintf (
    char *buf,
    int buflen,
    const char *format,
    ...);

#endif